GWT 2.7.0

## com.google.gwt.dom.client
Class TextAreaElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.TextAreaElement

    @TagName(value="textarea")
    public class TextAreaElement

extends Element

Multi-line text field.

See Also:
  W3C HTML Specification

Field Summary
`static java.lang.String` | `TAG`

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `TextAreaElement()`

Method Summary
`static TextAreaElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`int` | `getCols()` Width of control (in characters).
`java.lang.String` | `getDefaultValue()` Represents the contents of the element.
`boolean` | `getDisabled()` Deprecated. use `isDisabled()` instead
`FormElement` | `getForm()` Returns the FORM element containing this control.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` Deprecated. use `isReadOnly()` instead.
`int` | `getRows()` Number of text rows.
`java.lang.String` | `getType()` The type of this form control.
`java.lang.String` | `getValue()` Represents the current contents of the corresponding form control, in an interactive user agent.
`static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
`boolean` | `isDisabled()` The control is unavailable in this context.
`boolean` | `isReadOnly()` This control is read-only.
`void` | `select()` Select the contents of the TEXTAREA.
`void` | `setAccessKey(java.lang.String accessKey)` A single character access key to give access to the form control.
`void` | `setCols(int cols)` Width of control (in characters).
`void` | `setDefaultValue(java.lang.String defaultValue)` Represents the contents of the element.
`void` | `setDisabled(boolean disabled)` The control is unavailable in this context.
`void` | `setName(java.lang.String name)` Form control or object name when submitted with a form.
`void` | `setReadOnly(boolean readOnly)` This control is read-only.
`void` | `setRows(int rows)` Number of text rows.
`void` | `setValue(java.lang.String value)` Represents the current contents of the corresponding form control, in an interactive user agent.

Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TAG

    public static final java.lang.String TAG

See Also:
  Constant Field Values

Constructor Detail

### TextAreaElement

    protected TextAreaElement()

Method Detail

### as

    public static TextAreaElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### is

    public static boolean is(JavaScriptObject o)

  Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

### is

    public static boolean is(Node node)

  Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

### is

    public static boolean is(Element elem)

  Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

### getAccessKey

    public final java.lang.String getAccessKey()

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### getCols

    public final int getCols()

  Width of control (in characters).

  See Also:
    W3C HTML Specification

### getDefaultValue

    public final java.lang.String getDefaultValue()

  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

### getDisabled

    @Deprecated
    public final boolean getDisabled()

  Deprecated. use `isDisabled()` instead

### getForm

    public final FormElement getForm()

  Returns the FORM element containing this control. Returns null if this control is not within the context of a form.

### getName

    public final java.lang.String getName()

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### getReadOnly

    @Deprecated
    public final boolean getReadOnly()

  Deprecated. use `isReadOnly()` instead.

### getRows

    public final int getRows()

  Number of text rows.

  See Also:
    W3C HTML Specification

### getType

    public final java.lang.String getType()

  The type of this form control. This the string "textarea".

### getValue

    public final java.lang.String getValue()

  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single string, the implementation may truncate the data.

### isDisabled

    public final boolean isDisabled()

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### isReadOnly

    public final boolean isReadOnly()

  This control is read-only.

  See Also:
    W3C HTML Specification

### select

    public final void select()

  Select the contents of the TEXTAREA.

### setAccessKey

    public final void setAccessKey(java.lang.String accessKey)

  A single character access key to give access to the form control.

  See Also:
    W3C HTML Specification

### setCols

    public final void setCols(int cols)

  Width of control (in characters).

  See Also:
    W3C HTML Specification

### setDefaultValue

    public final void setDefaultValue(java.lang.String defaultValue)

  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes.

### setDisabled

    public final void setDisabled(boolean disabled)

  The control is unavailable in this context.

  See Also:
    W3C HTML Specification

### setName

    public final void setName(java.lang.String name)

  Form control or object name when submitted with a form.

  See Also:
    W3C HTML Specification

### setReadOnly

    public final void setReadOnly(boolean readOnly)

  This control is read-only.

  See Also:
    W3C HTML Specification

### setRows

    public final void setRows(int rows)

  Number of text rows.

  See Also:
    W3C HTML Specification

### setValue

    public final void setValue(java.lang.String value)

  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single string, the implementation may truncate the data.

GWT 2.7.0